function B=cholesky(A)
% Positive Cholesky factorization A = B B^* where
% A is a n-by-n symmetric positive definite matrix and
% B is a n-by-n lower triangular matrix 
  [N,n,m]=size(A);
  assert( n == m)
  B=amat(A);
  for j=1:n
    B(j,j)=sqrt(A(j,j)-sum(abs(B(j,1:j-1)).^2,2));
    for i=j+1:n
      B(i,j)=(A(i,j)-sum(B(i,1:j-1).*conj(B(j,1:j-1)),2))./B(j,j);
    end
  end
end
 
